<script>
  import { onMount } from "svelte"
  import { Calendar } from "fullcalendar"
  import dayGridPlugin from "@fullcalendar/daygrid" // Remember to import other plugins as needed

  export let options = {} // Use options to accept any FullCalendar option

  let calendarInstance

  onMount(() => {
    setTimeout(() => {
      const calendarEl = document.querySelector("full-calendar")

      if (calendarEl) {
        calendarInstance = new Calendar(calendarEl, {
          plugins: [dayGridPlugin], // Add other plugins here as well
          ...options, // Spread the options object to pass all properties
        })

        calendarInstance.render()
      }
    }, 0)
  })

  // This makes the Calendar instance available outside the component if needed
  export { calendarInstance as calendar }
</script>

<full-calendar />

<style>
  full-calendar {
    width: 100%;
    height: 800px;
  }
</style>
